<?php
/*-------------------------------------------------------+
| PHP-Fusion Content Management System
| Copyright  2002 - 2012 Nick Jones
| http://www.php-fusion.co.uk/
+--------------------------------------------------------+
| Name: Blog-e Theme
| Filename: theme.php
| Author: PHP-Fusion mods UK
| Version: v1.00
| Developers: Craig Dewar
| Site: http://www.phpfusionmods.co.uk
+--------------------------------------------------------+
| This program is released as free software under the
| Affero GPL license. You can redistribute it and/or
| modify it under the terms of this license which you
| can read by viewing the included agpl.txt or online
| at www.gnu.org/licenses/agpl.html. Removal of this
| copyright header is strictly prohibited without
| written permission from the original author(s).
+--------------------------------------------------------*/
if (!defined("IN_FUSION")) { header("Location: ../../index.php"); exit; }
require_once INCLUDES."theme_functions_include.php";

define("THEME_WIDTH", "950px");
define("THEME_BULLET", "<img src='".THEME."images/bullet.gif' alt='' class='theme-bullet'/>");
set_image("edit",  THEME."images/edit.png");
set_image("print",  THEME."images/printer.png");
set_image("sticky",  THEME."images/sticky.png");
set_image("new",  THEME."images/new.png");
set_image("facebook",  THEME."images/facebook.png");
set_image("google+",  THEME."images/google.png");
set_image("twitter",  THEME."images/twitter.png");

function render_page($license=false) {
	
	global $settings, $locale, $main_style, $mysql_queries_time, $aidlink;
	
	echo "<div class='outer-container' style='width:".THEME_WIDTH.";'>\n";
    
	echo "<div id='header-top' style='width:".THEME_WIDTH.";'>";
	
	echo "<div class='sub-header clearfix floatfix' align='center'>\n
		  <div id='search'>
		  <form name='searchform' method='get' action='".BASEDIR."search.php?stype=all'>\n
          <input type='hidden' name='stype' value='all' />\n
		  <input type='text' class='searchbox' name='stext' />
		  </form>
	      </div>
		  <div class='sublinks'>".showsublinks("&nbsp;&nbsp;")."</div>\n
		  </div>\n"; 
		  
    echo "</div>\n";

	echo "<div class='main-header clearfix'>\n
	     <div class='banners'>".showbanners()."</div>\n
	     </div>\n";
	
    echo "<div class='container clearfix $main_style'>\n";
	if ((LEFT || RIGHT)) echo "<div class='side-border-left'>\n".LEFT.RIGHT."</div>\n";
	echo "<div class='main-content'><div class='main-container'>".U_CENTER.CONTENT.L_CENTER."</div></div>\n";
	echo "</div>\n";
		
        
	echo "<div class='footer'><span class='copyright'>";
	if (!$license) { echo "<span class='white'>".showcopyright('white'); echo"</span>\n"; }
	echo "<br />\n";
	echo stripslashes($settings['footer']);
	echo "<br /><br />[Blog-e Theme designed by <a title='PHP-Fusion Mods UK' href='http://www.phpfusionmods.co.uk'>Craig Dewar</a>]\n";
    if ($settings['rendertime_enabled'] == 1 || ($settings['rendertime_enabled'] == 2 && iADMIN)) {
	echo "<br /><br />".showrendertime()."<br />".showcounter()."\n";
  } else { echo "<br /><br />".showcounter()."\n"; }
	echo "</div>\n";

echo"</span></div>\n";
}

function render_comments($c_data, $c_info){
	global $locale, $settings;
   opentable($locale['c100']);
	if (!empty($c_data)){
		echo "<div class='comments floatfix'>\n";

	if ($c_info['admin_link'] !== false) {
		echo "<div class='floatfix'>\n
		<div class='comment_admin'>".$c_info['admin_link']."</div>\n
		</div>\n";
	}

		foreach($c_data as $data) {
            $comm_count = "<a href='".FUSION_REQUEST."#c".$data['comment_id']."' id='c".$data['comment_id']."' name='c".$data['comment_id']."'>#".$data['i']."</a>";
			    echo "<div class='comment-main spacer'>
			   <div class='tbl2 clearfix floatfix'>\n";
	            if ($settings['comments_avatar'] == "1") { echo "<span class='comment-avatar'>".$data['user_avatar']."</span>\n"; }
	             echo "<span style='float:right' class='comment_actions'>".$comm_count."\n</span>\n
			            <span class='comment-name small'>".$data['comment_name']."</span>\n
		                 <span class='small'>".$data['comment_datestamp']."</span> \n";
	                  if ($data['edit_dell'] !== false) { echo "<span class='comment_actions'>".$data['edit_dell']."\n</span>\n"; }
			              echo "\n<div class='tbl2 comment_message'>".$data['comment_message']."</div>\n";
			    echo "</div>\n</div>\n";
	         }
                echo "</div>\n";
                 } else {
	          echo "<div class='nocomments-message spacer'>".$locale['c101']."</div>\n";
	         }
    closetable();
}



function render_news($subject, $news, $info) {
    global $locale, $settings, $aidlink;
	
	  $parameter= $settings['siteurl']."news.php?readmore=".$info['news_id'];
	  $title= $settings['sitename'].$locale['global_200'].$locale['global_077'].$locale['global_201'].$info['news_subject']."".$locale['global_200'];
      $breaking_news = 7200; //Breaking News Time (2 Hours/120 Mins/7200 Seconds)
	 
      echo" <div class='news-info'>".newsposter($info," &middot;").newsopts($info,"&middot;").itemoptions("N",$info['news_id'])."</div>\n"; 
      
	 opentable($subject.(time()-$info['news_date'] < $breaking_news ? " <img class='breaking-news' src='".get_image("new")."' title='New News Item' alt='New News Item'/>" : 
	           ($info['news_sticky'] == 1 ? "<img class='sticky-news' src='".get_image("sticky")."' title='Sticky News Item' alt='Sticky News Item'/>" : "")));
   
               echo "<div class='news-body floatfix'>".$info['cat_image'].$news."</div>\n";
            if ($info['news_ext'] == "y") {  
			   echo" <div class='news-infob'>";
			   echo" <a class='news-button' href='".BASEDIR."news.php?readmore=".$info['news_id']."'>Przeczytaj tu</a>";
               echo"</div>\n";
            }
 
               echo"<div class='share'><a class='fpst_bookmark' onclick=\"window.open('http://www.facebook.com/share.php?u=".$parameter."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("facebook")."' alt='Share on Facebook'  title='Dodaj na Facebooku' style='border:0px; vertical-align: middle;'/></a>\n
                    <a class='fpst_bookmark' onclick=\"window.open('http://twitter.com/share?url=".$parameter."&text=$title','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("twitter")."' alt='Share on Twitter'  title='Dodaj na Twitterze' style='border:0px; vertical-align: middle;'/></a>\n
                    <a class='fpst_bookmark' onclick=\"window.open('https://plus.google.com/share?url=".$parameter."','','location=no,scrollbars=yes,width=550,height=400,left='+(screen.availWidth/2-200)+',top='+(screen.availHeight/2-200)+'');return false;\"><img src='".get_image("google+")."' alt='Share on Google+' title='Dodaj do Google+' style='border: 0px; vertical-align:middle;' /></a></div>\n";
     closetable();
}



function render_article($subject, $article, $info) {
    global $locale, $settings, $aidlink;
      echo" <div class='news-info'>".articleposter($info," &middot;").articleopts($info,"&middot;").itemoptions("A",$info['article_id'])."</div>\n"; 
         
     opentable($subject);

          echo "<div class='news-body floatfix'>".($info['article_breaks'] == "y" ? nl2br($article) : $article)."</div>\n";
        
     closetable();

}


function opentable($title) {  
echo "<div class='cap-main'>$title</div>\n
<div class='main-border'>\n";
}


function closetable() { echo "</div>\n"; }


function openside($title, $collapse = false, $state = "on") {
global $panel_collapse; $panel_collapse = $collapse;


echo "<div class='scap-main'>";
if ($collapse == true) {
$boxname = str_replace(" ", "", $title);
echo "<div class='panelbutton'>".panelbutton($state,$boxname)."</div>";
}

echo $title."</div>\n<div class='side-body floatfix'>\n";
if ($collapse == true) { echo panelstate($state, $boxname); }
}


function closeside($collapse = false) {
global $panel_collapse;
if ($panel_collapse == true) { echo "</div>\n"; }
echo "</div>\n\n";
}

?>
